import { jsx } from "react/jsx-runtime";
import { TokenOX as TokenOX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "OX", "data-name": "TokenOX", ...props, children: /* @__PURE__ */ jsx(TokenOX$1, { variant }) });
  }
);
TokenOX.displayName = "TokenOX";
Object.assign(TokenOX, { isGdsIcon: true });
export {
  TokenOX
};
